/*
 * domain.cpp
 *
 *  Created on: Mar 21, 2015
 *      Author: ilazar
 */

#include "domain.h"
#include "utils/debug.h"
#include <iostream>
#include <string>
#include <ctype.h>
#include <exception>
#include <stdexcept>

using namespace std;

namespace Todo {

ostream& operator<<(ostream& out, const Task& task) {
	debug("out << task(%s)", task._text.c_str());
	out << task._text << endl;
	return out;
}

istream& operator>>(istream& in, Task& task) {
	debug("in >> task");
	in >> task._text;
	task._status = ACTIVE;
	return in;
}

}
