//============================================================================
// Name        : todo-cpp.cpp
// Author      : Ioan Lazar
// Version     :
// Copyright   : 
// Description : Todo in C++, Ansi-style
//============================================================================

#include <iostream>
#include <stdlib.h>

#include "ui.h"
#include "service.h"
#include "domain.h"
#include "repository.h"

using namespace Todo;

int main() {
	try {
		Repository<Task> task_repository("todo.txt");
		TodoManager todo_manager(task_repository);
		TodoCLI(todo_manager).run();
		return EXIT_SUCCESS;
	} catch (...) {
		std::cout << "Unexpected error occurred" << endl;
		return EXIT_FAILURE;
	}
}
