/*
 * utils.h
 *
 * Provides utilities - types and functions.
 *
 *  Created on: Mar 21, 2015
 *      Author: ilazar
 */

#ifndef UTILS_H_
#define UTILS_H_

#include "stdio.h"

#ifdef NDEBUG
#define debug(M, ...)
#else
#define debug(M, ...) fprintf(stdout, "DEBUG %s:%d: " M "\n", __FILE__, __LINE__, ##__VA_ARGS__)
#endif

#endif /* UTILS_H_ */
